// DaoUserMaintenanceDlg.h : header file
//

#pragma once
#include "afxwin.h"

class CUser
{
public:
 CString m_strUserID;
 CString m_strUserName;
 int m_iStatus;
};

// CDaoUserMaintenanceDlg dialog
class CDaoUserMaintenanceDlg : public CDialog
{
// Construction
public:
	CDaoUserMaintenanceDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_DAOUSERMAINTENANCE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

protected:
  void FillListboxWithUsers();
  void InitControls();
  BOOL GetSelectedUser(int* piIndex, CUser** ppUser);
  BOOL SaveUser(CUser* pUser);
  BOOL DeleteUser(CUser* pUser);

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
  CListBox m_lbxUsers;
  CString m_strUserID;
  CString m_strUserName;
  int m_iStatus;
  CButton m_btnSave;
  CButton m_btnDelete;
  afx_msg void OnBnClickedButton4();
  afx_msg void OnBnClickedOk();
  afx_msg void OnLbnSelchangeList1();
  afx_msg void OnBnClickedButton2();
  virtual BOOL DestroyWindow();
};
